Bug 42873 - Videos playback misplaced in Presenter Console display
Summary: Videos playback misplaced in Presenter Console display
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-13 05:57 UTC by rotwang2011
Modified: 2017-09-29 09:15 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
example with embedded video (6.86 MB, application/vnd.oasis.opendocument.presentation)
2017-09-28 09:44 UTC, Caolán McNamara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description rotwang2011 2011-11-13 05:57:17 UTC
Embedded video on slide appears in correct position on display screen, but high and left on presenter console view.
 This is just a guess but it looks as though the video on the presenter console is positioned relative to the top-left corner of the screen, rather than the top-left corner of the "current slide" sub-window.
Comment 1 Christina Rossmanith 2012-08-08 20:08:19 UTC
Could you add a small document showing the error to the bug, please?
Comment 2 QA Administrators 2013-05-27 16:54:45 UTC Comment hidden (obsolete, spam)
Comment 3 QA Administrators 2013-07-08 21:22:19 UTC Comment hidden (obsolete, spam)
Comment 4 Caolán McNamara 2017-09-28 09:30:25 UTC
I can reproduce this and have a fix
Comment 5 Caolán McNamara 2017-09-28 09:44:00 UTC
Created attachment 136578 [details]
example with embedded video
Comment 6 Commit Notification 2017-09-28 19:21:55 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=69c88654881a4aa0db05df9fb94e3d9e7dfbfa30

Resolves: tdf#42873 videos in presenter console misplaced

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.